Bug 731600 - queuegraph-selinux does not work fine
Summary: queuegraph-selinux does not work fine
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: queuegraph
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 00:09 UTC by Patrick
Modified: 2012-08-07 00:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Patrick 2011-08-18 00:09:57 UTC
Description of problem:
Queuegraph doesn't have SELinux contexts set correctly, and therefore when
SELinux is active, queuegraph won't work through apache.

Version-Release number of selected component (if applicable):
queuegraph-1.1-6.el6.noarch
queuegraph-selinux-1.1-6.el6.noarch

How reproducible:


Steps to Reproduce:
1. Enable SELinux on CentOS 6
2. Surf to http://host/queuegraph
3. 
  
Actual results:
500 Internal Server Error

Expected results:
The normal queuegraph pages

Additional info:

Please also see bz566513 for a similar problem with mailgraph (also on EL6)

Here is the error in /var/log/httpd/error_log:

[Thu Aug 18 02:09:04 2011] [error] [client 10.0.0.135] (13)Permission denied: exec of '/usr/share/queuegraph/queuegraph.cgi' failed
[Thu Aug 18 02:09:04 2011] [error] [client 10.0.0.135] Premature end of script headers: queuegraph.cgi

Here is the error in /var/log/audit/audit.log:

type=AVC msg=audit(1313626144.344:719): avc:  denied  { execute } for  pid=3908 comm="httpd" name="queuegraph.cgi" dev=sda2 ino=43519713 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file
type=SYSCALL msg=audit(1313626144.344:719): arch=c000003e syscall=59 success=no exit=-13 a0=7f994b151168 a1=7f994b14cec8 a2=7f994b14cee0 a3=7fffa58254a0 items=0 ppid=2974 pid=3908 auid=500 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=11 comm="httpd" exe="/usr/sbin/httpd" subj=unconfined_u:system_r:httpd_t:s0 key=(null)

Comment 1 Patrick 2011-08-18 00:18:09 UTC
I noticed the fix in bz243302 and I tried them on queuegraph:

$ sudo chcon -t httpd_sys_script_exec_t /usr/share/queuegraph/queuegraph.cgi
$ sudo chcon -R -t httpd_sys_script_ra_t /var/cache/queuegraph
$ sudo chcon -R -t httpd_sys_script_ra_t /var/lib/queuegraph

Now queuegraph shows (empty) graphs.

It did not work for mailgraph bz566513 but that is maybe because this is a fresh install and postfix has not been configured yet.

Please let me know if you need more information or would like me to test a new policy.

Comment 2 Fedora End Of Life 2012-08-06 19:58:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2012-08-06 19:59:55 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bernard Johnson 2012-08-07 00:27:44 UTC
If this error still occurs, please reopen the ticket.


Note You need to log in before you can comment on or make changes to this bug.